Javaのバージョンを1.6から1.8に変えたい

投稿者: Anonymous

Eclipseを使用するために、macにあるJavaのバージョンを1.6から1.8に変更したいのですが、Javaのバージョンをアップデートしてもmacに反映されません。
Javaのコントールパネルにはプラット1.8と表示されているのですが、ターミナルでJava -versionで検索をかけるとjava version "1.6.0_65"となっています。
java runtime environment設定のパスには/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/javaと表示されていました。

解決

Eclipse で Java1.8環境が利用できるかどうかは Execution Environments (Preferences の Java > Installed JREs > Execution Environments)で JavaSE-1.8 の欄を見てみてください。 Compatible JREs にインストールしたJavaの情報が出ていれば利用可能です。
質問文にかかれている情報を見る限り、1.8のインストールは正常に完了していると思われます。その場合、Eclipse上でも自動で認識されているはずです。

画像の説明をここに入力


ターミナルでJava -versionで検索をかけるとjava version “1.6.0_65″となっています。

これについては、おそらく ~/.bash_profile (など)で 環境変数JAVA_HOMEを設定しており、その向き先が1.6になっているからだと思われます。

ターミナルで利用するJavaのバージョンを1.8に変更する場合は、そのJAVA_HOME設定を更新してください。

回答者: Anonymous

Leave a Reply

Your email address will not be published. Required fields are marked *